JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.TOKEN_PRIVILEGES

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.TOKEN_PRIVILEGES

Enclosing interface:
  WinNT

    public static class WinNT.TOKEN_PRIVILEGES

extends Structure

The TOKEN_PRIVILEGES structure contains information about a set of privileges for an access token.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`WinDef.DWORD` | `PrivilegeCount` This must be set to the number of entries in the Privileges array.
`WinNT.LUID_AND_ATTRIBUTES[]` | `Privileges` Specifies an array of LUID_AND_ATTRIBUTES structures.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.TOKEN_PRIVILEGES(int nbOfPrivileges)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PrivilegeCount

    public WinDef.DWORD PrivilegeCount

  This must be set to the number of entries in the Privileges array.

### Privileges

    public WinNT.LUID_AND_ATTRIBUTES[] Privileges

  Specifies an array of LUID_AND_ATTRIBUTES structures. Each structure contains the LUID and attributes of a privilege.

Constructor Detail

### WinNT.TOKEN_PRIVILEGES

    public WinNT.TOKEN_PRIVILEGES(int nbOfPrivileges)

Parameters:
  `nbOfPrivileges` - Desired size of the Privileges array

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.